Bug 832712 - client's DUID altered after update to F17
client's DUID altered after update to F17
Status: NEW
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 14:03 EDT by Russ
Modified: 2015-11-04 06:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russ 2012-06-16 14:03:44 EDT
Description of problem:
ipv6 was working fine in F16. Now it is broken in F17 after yum update.

Version-Release number of selected component (if applicable):
dhclient-4.2.4-0.4.rc1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot computer
2. look for global ipv6 entry in ifconfig
3. is it there?
  
Actual results:
no global ipv6 address is configured

Expected results:
global ipv6 address is configured


Additional info:
Sorry if this bug has too little info. I'm very tired, working on another box, and I don't really feel like battling with Fedora ipv6 problems again. . .

It took me a LOT of time and effort to get IPv6 working on our machines. I had to file bug reports in prior Fedora relelases to finally get the configs working. Now it is broken again. . . I'm glad we haven't updated other hosts yet.

Anyway, I will try to get more info at a later date. In the meantime here is how this machine is configured:

Manual configuration using network scripts.
IP address and other info from DHCP.
IPv6 is via DHCPv6, it does NOT use router advertisements.

If this bug is a dupe then please accept my apologies and point me toward a fix.
Comment 1 Jiri Popelka 2012-06-18 05:03:42 EDT
(In reply to comment #0)
> Anyway, I will try to get more info at a later date.

I'd start with firewall. Make sure that the dhcpv6-client (546/udp) is allowed.
Then try to run (as root) 'dhclient -d -6 <interface>' and attach the output here.

> Manual configuration using network scripts.
> IP address and other info from DHCP.
> IPv6 is via DHCPv6, it does NOT use router advertisements.

Does /etc/sysconfig/network-scripts/ifcfg-<interface> contain DHCPV6C=yes ?

> If this bug is a dupe then please accept my apologies and point me toward a
> fix.

No, I haven't seen any other problem like that.
Comment 3 Russ 2012-06-18 10:25:14 EDT
 
> I'd start with firewall. Make sure that the dhcpv6-client (546/udp) is
> allowed.
> Then try to run (as root) 'dhclient -d -6 <interface>' and attach the output
> here.

Definitely not iptables issue. IPv6 was working before, as I stated earlier.

dhclient not running for IPv6 was not the issue, either.

Actually, the real reason for the title of this bug is my being lazy on a weekend and not wanting to immediately go to the trouble to diagnose the issue. The other system here was running Win7 and it had no IPv6 issues. So I immediately called it as a broken IPv6 from the Fedora update. That was a lazy mistake. I apologize for the incorrect bug title. IPv6 is not broken, just inconsiderate!

The problem is that the Fedora update changed the host's DUID. The IPv6 DHCP server did not recognize the host. So it did as configured and did not issue an IPv6 address. The MAC address, of course, stayed the same, so the host did get an IPv4 address issued.

The bug is real, but the name is wrong. The correct name of the bug is:

IPv6 DUID altered after update to Fedora 17.

DUID should not change. If it does the user needs to be informed of the change.
Comment 4 Jiri Popelka 2012-06-18 10:54:46 EDT
Not sure why the DUID changed.
The only change that comes to my mind is this change in initscripts:
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=60b84547c03ec7d82633f3c9d6939af4747a6bff
but that should obey the already existing leases files.
Comment 5 Fedora End Of Life 2013-07-03 19:07:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 udo 2013-07-04 09:03:52 EDT
Loads of buzgilla emails do not help.
Comment 7 Fedora End Of Life 2013-12-21 03:38:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jiri Popelka 2014-01-20 09:03:29 EST
could be duplicate of bug #1051231 ?
Comment 9 udo 2014-01-20 09:51:26 EST
(In reply to Jiri Popelka from comment #8)
> could be duplicate of bug #1051231 ?

Could indeed be, but I let the bug creator decide.
Comment 10 Fedora End Of Life 2015-01-09 12:11:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-05-29 04:45:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 udo 2015-05-29 08:43:28 EDT
Any updates?
Comment 13 Fedora End Of Life 2015-11-04 06:43:24 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.